Package com.pixelmed.dicom

# Class LossyImageCompression

java.lang.Object
com.pixelmed.dicom.LossyImageCompression

public class LossyImageCompression extends Object

A class to categorize DICOM images as having been lossy compressed or not.

## Constructor Summary

Constructors
Constructor
Description
`LossyImageCompression()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`describeLossyCompression(AttributeList list)`
Describe the nature of lossy compressed that has ever been applied to an image.
`static boolean`
`hasEverBeenLossyCompressed(AttributeList list)`
determine if an image has ever been lossy compressed.
`static void`
`main(String[] arg)`
Read a DICOM image input file, and determine if it has ever been lossy compressed.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LossyImageCompression

public LossyImageCompression()

## Method Details

### hasEverBeenLossyCompressed

public static boolean hasEverBeenLossyCompressed(AttributeList list)

determine if an image has ever been lossy compressed.

Parameters:
  `list` - list of attributes representing a DICOM image
Returns:
  true if has ever been lossy compressed

### describeLossyCompression

public static String describeLossyCompression(AttributeList list)

Describe the nature of lossy compressed that has ever been applied to an image.

Parameters:
  `list` - list of attributes representing a DICOM image
Returns:
  a string describing the compression, including method and ratio if possible, or a zero length string if never lossy compressed

### main

public static void main(String[] arg)

Read a DICOM image input file, and determine if it has ever been lossy compressed.

Parameters:
  `arg` - one required parameters, the input file name